# $Revision: 1.25 $, $Date: 2009/03/14 14:46:58 $
Summary:	Framework for developing Web applications in Python
Summary(pl.UTF-8):	Szkielet do tworzenia aplikacji WWW w Pythonie
Name:		python-quixote
Version:	2.6
Release:	1
Epoch:		1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://quixote.ca/releases/Quixote-%{version}.tar.gz
# Source0-md5:	e9c727ab337a66776d960b3da84fce9d
URL:		http://www.mems-exchange.org/software/quixote/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Obsoletes:	Quixote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quixote is yet another framework for developing Web applications in
Python. The design goals were:
- To allow easy development of Web applications where the
  emphasis is more on complicated programming logic than
  complicated templating.
- To make the templating language as similar to Python as possible,
  in both syntax and semantics. The aim is to make as many of the
  skills and structural techniques used in writing regular Python
  code applicable to Web applications built using Quixote.
- No magic. When it's not obvious what to do in
  a certain case, Quixote refuses to guess.

If you view a web site as a program, and web pages as subroutines,
Quixote just might be the tool for you. If you view a web site as a
graphic design showcase, and each web page as an individual work of art,
Quixote is probably not what you're looking for.

%description -l pl.UTF-8
Quixote to kolejny szkielet do tworzenia aplikacji WWW w Pythonie.
Projekt miał na celu:
- pozwolić na łatwe tworzenie aplikacji WWW tam, gdzie jest większy
  nacisk na skomplikowaną logikę programu niż skomplikowane szablony
- uczynić język szablonów podobnym do Pythona na ile to tylko możliwe,
  zarówno pod względem składni jak i semantyki; celem jest
  umożliwienie korzystania z jak największej części biegłości i
  technik strukturalnych używanych przy pisaniu normalnego kodu w
  Pythonie w aplikacjach WWW budowanych przy użyciu Quixote
- brak magii; jeśli nie jest oczywiste, co zrobić w danym przypadku,
  Quixote nie będzie zgadywał.

Jeśli ktoś patrzy na serwis WWW jak na program, a na strony jak na
procedury, Quixote może być narzędziem dla niego. Jeśli patrzy na
serwis jako na gablotę, a każdą stronę jako oddzielny obraz, Quixote
prawdopodobnie nie jest tym, czego szuka.

%package doc
Summary:	Documentation for quixote Python module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona quixote
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
This module contains documentation files for quixote Python module.

%description doc -l pl.UTF-8
Moduł zawierający dokumentację dla modułu Pythona quixote.

%prep
%setup -q -n Quixote-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt TODO
%dir %{py_sitedir}/quixote
%dir %{py_sitedir}/quixote/demo
%{py_sitedir}/quixote/demo/*.py[co]
%{py_sitedir}/quixote/demo/*.ptl
%dir %{py_sitedir}/quixote/form
%{py_sitedir}/quixote/form/*.py[co]
%dir %{py_sitedir}/quixote/html
%{py_sitedir}/quixote/html/*.py[co]
%attr(755,root,root) %{py_sitedir}/quixote/html/*.so
%dir %{py_sitedir}/quixote/ptl
%{py_sitedir}/quixote/ptl/*.py[co]
%attr(755,root,root) %{py_sitedir}/quixote/ptl/*.so
%dir %{py_sitedir}/quixote/server
%{py_sitedir}/quixote/server/*.py[co]
%{py_sitedir}/quixote/*.py[co]
%{py_sitedir}/Quixote-*.egg-info

%files doc
%defattr(644,root,root,755)
%doc doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-quixote.spec,v $
Revision 1.25  2009/03/14 14:46:58  duddits
- up to 2.6

Revision 1.24  2008/10/03 18:00:14  arekm
- release 2

Revision 1.23  2007-12-14 17:03:02  qboosh
- BR: python 2.5 (for .egg-info), rpm-pythonprov
- complete file list to avoid undetected missing dirs

Revision 1.22  2007-12-13 23:48:38  wrobell
- ver. 2.5
- license changed to MIT

Revision 1.21  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.19  2006/09/27 20:07:26  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.18  2006/01/12 11:51:15  wrobell
- ver. 2.4

Revision 1.17  2005/05/08 15:37:23  wrobell
- ver. 2.0

Revision 1.16  2005/02/03 08:49:48  wrobell
- ver. 1.2

Revision 1.15  2004/12/26 17:48:00  saq
- release 2 for rebuild with python 2.4

Revision 1.14  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.13  2004/10/06 12:02:16  zboczuch
- version 1.1

Revision 1.12  2004/07/02 18:13:31  qboosh
- fixed dep for new epoch

Revision 1.11  2004/07/02 13:45:20  zboczuch
- version 1.0, release 1, epoch 1

Revision 1.10  2004/06/16 12:48:11  zboczuch
- correct group

Revision 1.9  2004/06/16 12:46:04  zboczuch
- version 1.0c1
- -doc submodule separated

Revision 1.8  2004/05/21 07:53:06  zboczuch
- ver. 1.0b2

Revision 1.7  2004/05/17 18:58:53  wrobell
- ver. 1.0b1

Revision 1.6  2004/05/14 17:22:07  qboosh
- fixed Source0 and setup

Revision 1.5  2004/05/14 16:40:48  qboosh
- some ghost has renamed spec, so Name change follows (Quixote->python-quixote)

Revision 1.4  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.3  2004/03/04 17:56:52  martii
- /usr/lib/python_dir/config/Makefile required (placed in python-devel)

Revision 1.2  2004/03/04 17:39:42  qboosh
- pl, cosmetics

Revision 1.1  2004/03/03 19:15:28  wrobell
- based on template
